Agent inboxes
Pull events
GET
/v1/agent/inbox/:id/nextLeases up to 10 events and long-polls up to 30 seconds. With ack=manual, close each lease with Ack, Release or Extend.
Parameters
Path parameters1
idstringRequiredDestination ID (dst_…).
Query parameters8
order?stringfifo, lifo or priority.
ack?stringmanual or pickup.
max?integer1 to 10.
wait?integerSeconds to wait for an event, up to 30.
type?stringOnly this event type.
source?stringOnly this source.
subscription?stringOnly this subscription.
correlation?stringOnly this correlation value.
Returns
200The sample response is on the right.Errors return error and message; see Errors and limits.